#!/usr/bin/perl -w
my $dumpbw = '../dumpbw';
my $input = shift || '/mnt/floppy/open/opnbk.bin';
my $output = shift || '/home/greerga/www/fft/open/opnbk';

die "can't find dumpbw" if (not -e $dumpbw);

my @sizes = ( 320*240*2, 256*240*2, 210*180*2, 210*180*2, 210*180*2, 210*180*2, 512*240*2);
my @split = ( 320      , 256      , 210      , 210      , 210      , 210      , 512 );
my @skips = ( 0        , 0        , 128+48   , 128+48   , 128+48   , 128+48   , 0 );

my $offset = 0;
for (my $itr = 0; $itr <= $#sizes; $offset += $sizes[$itr] + $skips[$itr], $itr++) {
  my $exec = "$dumpbw -c $input -o $output-$itr.gif -l $split[$itr] -j $offset:$sizes[$itr]";
  print $exec, "\n";
  system($exec);
}
